#
#  makefile for gcc (mingw) : GNU make
#

PLUGIN = null

CC = gcc
CFLAGS = -c -Wall -O3 -fno-exceptions -o
LFLAGS = -mwindows -mdll -e _dllentry@12 -Wall -s -nostartfiles -o

$(PLUGIN).dll: $(PLUGIN).o
	$(CC) $(LFLAGS) $@ $<
$(PLUGIN).o: $(PLUGIN).c
	$(CC) $(CFLAGS) $@ $<
clean:
	-rm -f $(PLUGIN).o
clean-all: clean
	-rm -f $(PLUGIN).dll

.PHONY: clean clean-all
